@echo off
::-------------------------------------------------
:: Batch fuer Wiederherstellung der ICONS-Position
::-------------------------------------------------
:: Author: Helmut Pajnik
:: Datum : 15-02-2010
::
:: Diese Batch importiert die zuvor gesicherte Position
:: aus einer Datei und setzt die Desktopicons an die
:: richtige Stelle auf dem Schlerdesktop.
:: Dabei wird die aktuelle Auflsung beruecksichtigt
:: ------------------------------------------------
:: Ergaenzung 2010:
:: Diese Version schiebt die Icons in 5 Durchgngen
:: innerhalb von etwa 50 Sekunden an die richtige 
:: Stelle. 
:: Dadurch spielt die Netzwerkgeschwindigkeit beim
:: Anmelden keine Rolle mehr
:: ------------------------------------------------
::
cls
echo Setze Symbole an die richtige Position
set TOOLPATH=\\server\NETLOGON\Utilities\DeskSave
:: Standardverzeichnis fuer die rb-Serverinstallation
set DSVPREFIX=schueler
:: vorderer Teil des Dateinamens 

FOR /F "tokens=1,2" %%a IN ('%TOOLPATH%\ScreenRes.exe') DO set DSVRES=%%ax%%b

if EXIST "%TOOLPATH%\%DSVPREFIX%_%DSVRES%.dsv" goto RESTORE

    REM als Standard 1024x768 laden
    "%TOOLPATH%\DeskSave" /port /rf "%TOOLPATH%\%DSVPREFIX%_1024x768.dsv"

    REM INFO ausgeben
    del "%TEMP%\res_Info.txt"
    copy "%TOOLPATH%\Res_Info.txt" "%TEMP%\res_Info.txt" >NUL
    echo Desksave vereinheitlicht fr die Schueler     >> "%TEMP%\res_Info.txt" 
    echo die Position der Symbole auf dem Bildschirm   >> "%TEMP%\res_Info.txt" 
    echo Leider fehlt die Vorlage fuer die aktuelle    >> "%TEMP%\res_Info.txt" 
    echo Bildschirmaufloesung                          >> "%TEMP%\res_Info.txt" 
    echo -------------------------------------------   >> "%TEMP%\res_Info.txt" 
    echo.                                              >> "%TEMP%\res_Info.txt" 
    echo Aktuelle Aufloesung: %DSVRES%                 >> "%TEMP%\res_Info.txt"
    echo.                                              >> "%TEMP%\res_Info.txt"
    echo Vorhandene Vorlagen:                          >> "%TEMP%\res_Info.txt"
    dir /b "%TOOLPATH%\*.dsv"                          >> "%TEMP%\res_Info.txt"
    echo.                                              >> "%TEMP%\res_Info.txt"
    echo Fehlende Vorlage:                             >> "%TEMP%\res_Info.txt"
    echo %DSVPREFIX%_%DSVRES%.dsv                      >> "%TEMP%\res_Info.txt"
    echo.                                              >> "%TEMP%\res_Info.txt"
    echo.                                              >> "%TEMP%\res_Info.txt"
    echo Infos auf www.vobs.at^/rb ^(Suche: Desksave^) >> "%TEMP%\res_Info.txt"
    REM Info: obige Klammern muessen maskiert werden
    start "c:\Programme\Internet Explorer\iexplore.exe" "%TEMP%\res_Info.txt"
goto ENDE



:RESTORE

rem wegen  Problemen mit dem Autologin wird 
rem das Programm 5 mal aufgerufen mit 10 sec Abstand
rem Dadurch werden die Symbole meistens korrekt verschoben

set /a anz=0

:neu
set /a anz=%ANZ% + 1
echo Versuch %ANZ% von 5 (10 Sekunden Pause)
"%TOOLPATH%\DeskSave" /port /rf "%TOOLPATH%\%DSVPREFIX%_%DSVRES%.dsv"
ping 127.0.0.1 -n 10  >nul
if not %ANZ%==5 goto neu
goto ende


:Ende


exit